
TYPO3.Flow - Bug # 7426

Status: Resolved Priority: Should have
Author: Martin H. Category:
Created: 2010-04-22 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Catch fatal error message when running PHP < 5.3
Description

I thought that I have PHP 5.3 installed but got a fatal error message instead of FLOW3 welcome message.
Finally I realized that I'm still running PHP 5.2 but I didn't get a warning message from FLOW3 system.

The Web/index.php file should be compatible to PHP versions < 5.3 and if the server is running a smaller version than 5.3 it should
print an error message and the setup guide from Getting Started tutorial (or a link to it).

Associated revisions
Revision 5d582d81 - 2010-04-28 11:34 - Karsten Dambekalns

[+BUGFIX] FLOW3 Distribution: The Web/index.php used DIR, thus breaking our carefully crafted path to a nice error message for PHP < 5.3. Fixes
#7426.

History
#1 - 2010-04-27 12:45 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns
- Start date changed from 2010-04-22 to 2010-04-27

What exact error message do you get?

#2 - 2010-04-28 10:02 - Martin H.

Hi Karsten,

Warning: require(__DIR__/../Packages/Framework/FLOW3/Scripts/FLOW3.php) [function.require]: failed to open stream: No such file or
directory in [...]/index.php on line 31

Fatal error: require() [function.require]: Failed opening required '__DIR__/../Packages/Framework/FLOW3/Scripts/FLOW3.php'
(include_path='.:/usr/share/php:/usr/share/pear') in [...]/index.php on line 31

(on FLOW3-1.0.0-alpha8-build24)
The magic constant DIR came with PHP 5.3 and is unknown smaller PHP versions.
#3 - 2010-04-28 11:29 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
- Target version set to 1.0 alpha 9

#4 - 2010-04-28 11:34 - Karsten Dambekalns
- Tracker changed from Feature to Bug

#5 - 2010-04-30 11:41 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
- Estimated time set to 1.00

As of r4228:
[+BUGFIX] FLOW3 Distribution: The Web/index.php used DIR, thus breaking our carefully crafted path to a nice error message for PHP < 5.3. Fixes
#7426.
